> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shieldbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Continue Conversation Public



## OpenAPI

````yaml post /external/continue-conversation
openapi: 3.0.2
info:
  title: Shieldbase AI
  version: 1.0.0
servers: []
security: []
paths:
  /external/continue-conversation:
    post:
      tags:
        - public
      summary: Continue Conversation Public
      operationId: continue_conversation_public_external_continue_post
      parameters:
        - required: true
          schema:
            title: Client-Id
            type: string
          name: client-id
          in: header
        - required: true
          schema:
            title: Private-Key
            type: string
          name: private-key
          in: header
        - required: true
          schema:
            title: Secret
            type: string
          name: secret
          in: header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                conversation_id:
                  type: string
                  example: d0c73687-cc8d-4628-be2d-01050d32dfb6
                message:
                  type: string
                model:
                  type: string
              required:
                - conversation_id
                - message
                - model
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  conversation_id:
                    type: string
                    example: d0c73687-cc8d-4628-be2d-01050d32dfb6
                  sender:
                    type: string
                    example: user
                  message_text:
                    type: string
                  redacted_text:
                    type: string
                  syntactic_text:
                    type: string
                  typing_completed:
                    type: boolean
                    example: true
                  created_at:
                    type: string
                    format: date-time
                    example: '2024-08-16T09:24:07.865867'
                  ner_items:
                    type: array
                    items:
                      type: string
                    example: []
                  ner_count:
                    type: integer
                    example: 0
                  title:
                    type: string
                    example: 'Dropbox: A Popular File Sharing Service'
                  id:
                    type: string
                    example: ac3ca0a0-69ee-49c3-a6a5-86ee9b9f4c0e
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: cURL
          source: >-
            curl --location --request POST
            'https://app.sbai.cloud/api/external/continue' \

            --header 'client-id: your-client-id' \

            --header 'private-key: your-private-key' \

            --header 'secret: your-secret' \

            --header 'Content-Type: application/json' \

            --data-raw '{
                "conversation_id": "d0c73687-cc8d-4628-be2d-01050d32dfb6",
                "message": "how about dropbox ?",
                "model": "gpt-4o"
            }'
        - lang: Python
          source: |-
            import requests

            url = 'https://app.sbai.cloud/api/external/continue'
            headers = {
                'client-id': 'your-client-id',
                'private-key': 'your-private-key',
                'secret': 'your-secret',
                'Content-Type': 'application/json'
            }
            data = {
                "conversation_id": "d0c73687-cc8d-4628-be2d-01050d32dfb6",
                "message": "how about dropbox ?",
                "model": "gpt-4o"
            }

            response = requests.post(url, headers=headers, json=data)
            print(response.json())
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string

````